ParentIterator::accept
ParentIterator::getChildren
ParentIterator
PHP Manual

# ParentIterator::__construct

(PHP 5 >= 5.1.0)

ParentIterator::__construct — Constructs a ParentIterator

### Description

public ParentIterator::__construct ( RecursiveIterator `$iterator` )

Constructs a ParentIterator on an iterator.

Warning

This function is currently not documented; only its argument list is available.

### Parameters

`iterator`

  The iterator being constructed upon.

### Return Values

The ParentIterator.

ParentIterator::accept
ParentIterator::getChildren
ParentIterator
PHP Manual